# sdkms/v1.ChildAccountUsersApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_child_account_user**](ChildAccountUsersApi.md#create_child_account_user) | **POST** /sys/v1/users/child_account | Create a new user user in a child account
[**delete_child_account_user**](ChildAccountUsersApi.md#delete_child_account_user) | **DELETE** /sys/v1/users/child_account/{user-id} | Completely delete a user in child account
[**get_all_child_account_users**](ChildAccountUsersApi.md#get_all_child_account_users) | **GET** /sys/v1/users/child_account/{account-id}/all | Get all users in a child account
[**get_child_account_user**](ChildAccountUsersApi.md#get_child_account_user) | **GET** /sys/v1/users/child_account/{user-id} | Get a specific child account user
[**update_child_account_user**](ChildAccountUsersApi.md#update_child_account_user) | **PATCH** /sys/v1/users/child_account/{user-id} | Update a child account user


# **create_child_account_user**
> ChildAccountUser create_child_account_user(body)

Create a new user user in a child account

Create a new user user in a child account.

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountUsersApi(sdkms/v1.ApiClient(configuration))
body = sdkms/v1.ChildAccountUserRequest() # ChildAccountUserRequest | User in child account

try: 
    # Create a new user user in a child account
    api_response = api_instance.create_child_account_user(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ChildAccountUsersApi->create_child_account_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ChildAccountUserRequest**](ChildAccountUserRequest.md)| User in child account | 

### Return type

[**ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_child_account_user**
> delete_child_account_user(user_id)

Completely delete a user in child account

Completely delete a user in child account.

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountUsersApi(sdkms/v1.ApiClient(configuration))
user_id = 'user_id_example' # str | User Identifier

try: 
    # Completely delete a user in child account
    api_instance.delete_child_account_user(user_id)
except ApiException as e:
    print("Exception when calling ChildAccountUsersApi->delete_child_account_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **str**| User Identifier | 

### Return type

void (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_child_account_users**
> list[ChildAccountUser] get_all_child_account_users(account_id)

Get all users in a child account

Get all users in a child account

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountUsersApi(sdkms/v1.ApiClient(configuration))
account_id = 'account_id_example' # str | Account Identifier

try: 
    # Get all users in a child account
    api_response = api_instance.get_all_child_account_users(account_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ChildAccountUsersApi->get_all_child_account_users: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**| Account Identifier | 

### Return type

[**list[ChildAccountUser]**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_child_account_user**
> ChildAccountUser get_child_account_user(user_id)

Get a specific child account user

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountUsersApi(sdkms/v1.ApiClient(configuration))
user_id = 'user_id_example' # str | User Identifier

try: 
    # Get a specific child account user
    api_response = api_instance.get_child_account_user(user_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ChildAccountUsersApi->get_child_account_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **str**| User Identifier | 

### Return type

[**ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_child_account_user**
> ChildAccountUser update_child_account_user(user_id, body)

Update a child account user

Change a child account user's properties.

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountUsersApi(sdkms/v1.ApiClient(configuration))
user_id = 'user_id_example' # str | User Identifier
body = sdkms/v1.ChildAccountUserRequest() # ChildAccountUserRequest | User in child account

try: 
    # Update a child account user
    api_response = api_instance.update_child_account_user(user_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ChildAccountUsersApi->update_child_account_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **str**| User Identifier | 
 **body** | [**ChildAccountUserRequest**](ChildAccountUserRequest.md)| User in child account | 

### Return type

[**ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

